<ion-header>
  <ion-toolbar color="ista">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="lista-ticket-coordinador/Incidente"></ion-back-button>
    </ion-buttons>
    <ion-title>Detalle del ticket</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ion-list>
    <ion-list-header>
      <h4>Datos del Ticket</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon color="ista" slot="start" name="ticket-outline">
      </ion-icon>
      <ion-label color="ista" >
        <h2>Número de ticket: {{ticket.codticket}}</h2>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color = "ista" slot="start" name="ticket-outline">
      </ion-icon>
      <ion-label color = "ista">
        <h2> {{servicios.titulo}}</h2>
        <h3>Titulo</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon  color="ista" slot="start" name="calendar-outline"></ion-icon>
      <ion-label color="ista" >
        <h2>{{ticket.fechaCreacion | date:'MMM dd, YYYY HH:mm'}}</h2>
        <h3>Fecha de Creación </h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="alert-circle-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{prioridades.nivelPrioridad}} </h2>
        <h3>Prioridad</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="warning-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{criticidad.nivelCriticidad}} </h2>
        <h3>Criticidad</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="warning-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{nivelSeveridad}}</h2>
        <h3>Severidad</h3>
      </ion-label>
      <ion-select color="ista" ok-text="Seleccionar" cancel-text="Cancelar" #C (ionChange)="putCambiarSeveridad(C.value)">
        <ion-select-option *ngFor="let listaSeveridad of severidadList" [value]="listaSeveridad.nivelSeveridad">
          {{listaSeveridad.nivelSeveridad}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-icon  color="ista" slot="start" name="happy-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{ticket.sla}} %</h2>
        <h3>SLA</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="apps-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{catalogos.categoria}}</h2>
        <h3>Catalogo </h3>
      </ion-label>
    </ion-item>
    <ion-item (click)='presentAlertaVerDescripcionTicket()'>
      <ion-icon  color="ista" slot="start" name="text-outline"></ion-icon>
      <ion-label color="ista">
        <h2>Detalle del ticket</h2>
        <h3>Ver detalle del ticket</h3>
      </ion-label>
      <ion-icon slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item >
      <ion-icon  color="ista" slot="start" name="help-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{estado.nombreEstado}}</h2>
        <h3>Estado del Ticket</h3>
      </ion-label>
    </ion-item>
    <ion-item *ngIf="solucionticket!=null" (click)="presentAlertaVerSolucionTicket()" >
      <ion-icon  color="ista" slot="start" name="checkmark-done-outline"></ion-icon>
      <ion-label color="ista">
        <h2>Ver detalle de la solucion</h2>
        <h3>Solucion:</h3>
      </ion-label>
      <ion-icon slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item *ngIf="solucionticket!=null" >
      <ion-icon  color="ista" slot="start"  name="calendar-number-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{solucionticket.fechafinalizacion}}</h2>
        <h3>Finalizacion:</h3>
      </ion-label>
    </ion-item>
    <div *ngIf="ticket.url!=null" >
      <ion-item href="{{ticket.url}}">
        <ion-icon  color="ista" slot="start" name="cloud-download-outline"></ion-icon>
        <ion-label color="ista">
          <h2>{{ticket.url}}</h2>
          <h3>Descargar Evidencias</h3>
        </ion-label>
      </ion-item>
    </div>
    <ion-item>
      <ion-icon  color="ista" slot="start"  name="megaphone-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{viaComunicacion.nombre}}</h2>
        <h3>Vía de Comunicacion:</h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list>
    <ion-list-header>
      <h4>Datos del Usuario</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon color="ista" slot="start" name="person-outline"></ion-icon>
      <ion-label color="ista">
        <h2> {{personas.nombres}}</h2>
        <h3>Nombre</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="call-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{personas.telefono}} </h2>
        <h3>Telefono</h3>
      </ion-label>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="mail-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{usuarios.email}} </h2>
        <h3>Email</h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list *ngIf="estado.codEstado===1 || estado.codEstado===2">
    <ion-list-header>
      <h4>Asignar Tecnico</h4>
    </ion-list-header>
    <ion-item  (click)="abrirModalListTecnicos()">
      <ion-icon color="ista" slot="start" name="construct-outline"></ion-icon>
      <ion-label color="ista">
        <h2>Tecnico: {{nombreTecnico.nombres}} </h2>
      </ion-label>
      <ion-icon color="ista" slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="call-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{nombreTecnico.telefono}} </h2>
        <h3>Telefono</h3>
      </ion-label>
    </ion-item>
    <ion-item *ngIf="estado.codEstado!=1">
      <ion-icon color="ista" slot="start" name="calendar-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{ticket.fechaAsignacion | date:'MMM dd, YYYY HH:mm'}}</h2>
        <h3>Fecha de Asignacion: </h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list  *ngIf="estado.codEstado==4 || estado.codEstado==5 || estado.codEstado==3">
    <ion-list-header>
      <h4>Tecnico Encargado</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon color="ista" slot="start" name="construct-outline"></ion-icon>
      <ion-label color="ista">
        <h2>Tecnico: {{nombreTecnico.nombres}} </h2>
      </ion-label>
      <ion-icon color="ista" slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="call-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{nombreTecnico.telefono}} </h2>
        <h3>Telefono</h3>
      </ion-label>
    </ion-item>
    <ion-item >
      <ion-icon color="ista" slot="start" name="calendar-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{ticket.fechaAsignacion | date:'MMM dd, YYYY HH:mm'}}</h2>
        <h3>Fecha de Asignacion: </h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-list  *ngIf="this.escalatecnico===true">
    <ion-list-header>
      <h4>Tecnico inicial</h4>
    </ion-list-header>
    <ion-item>
      <ion-icon color="ista" slot="start" name="construct-outline"></ion-icon>
      <ion-label color="ista">
        <h2>Tecnico: {{nivel1.nombres}} </h2>
      </ion-label>
      <ion-icon color="ista" slot="end" name="chevron-forward-outline"></ion-icon>
    </ion-item>
    <ion-item>
      <ion-icon color="ista" slot="start" name="call-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{nivel1.telefono}} </h2>
        <h3>Telefono</h3>
      </ion-label>
    </ion-item>
    <ion-item >
      <ion-icon color="ista" slot="start" name="calendar-outline"></ion-icon>
      <ion-label color="ista">
        <h2>{{ticket.fechaAsignacion | date:'MMM dd, YYYY HH:mm'}}</h2>
        <h3>Fecha de Asignacion: </h3>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>